%define develname %mklibname -d %{name}

Name: amarok
Summary: A powerful media player for KDE4
Version: 2.5.0
Release: %mkrel 3
Epoch: 3
License: GPLv2 and LGPLv2 and GFDL
Url: http://amarok.kde.org/
Group: Sound
Source0: http://fr2.rpmfind.net/linux/KDE/stable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
Patch0001: 0001-Fix-initial-preference-in-.desktop-from-2.1.90.patch
Patch0005: 0005-Fix-contextview-kde-290123.patch

BuildRequires: kdelibs4-devel
BuildRequires: pkgconfig(taglib) >= 1.6-3
#BuildRequires: pkgconfig(libnjb)
BuildRequires: pkgconfig(libmtp) >= 0.3.0
BuildRequires: pkgconfig(loudmouth-1.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libvisual-0.4)
BuildRequires: pkgconfig(libgpod-1.0) >= 0.7.0
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(taglib-extras) >= 1.0.0
BuildRequires: pkgconfig(libofa)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libmygpo-qt)
BuildRequires: pkgconfig(qca2)
BuildRequires: liblastfm-devel
BuildRequires: mysql-embedded-devel
BuildRequires: qtscriptgenerator

Requires: mysql-common-core
Requires: qtscriptbindings
Requires: kde4-audiocd
Requires: amarok-utils = %epoch:%version-%release
Suggests: amarok-handbook

# Allow transcoding 
Suggests: ffmpeg
Obsoletes: amarok-scripts < 3:2.4.3-2

%description
Feature Overview 
 
* Music Collection:
You have a huge music library and want to locate tracks quickly? Let amaroK's
powerful Collection take care of that! It's a database powered music store, 
which keeps track of your complete music library, allowing you to find any 
title in a matter of seconds. 
 
* Intuitive User Interface:
You will be amazed to see how easy amaroK is to use! Simply drag-and-drop files
into the playlist. No hassle with complicated  buttons or tangled menus. 
Listening to music has never been easier! 
 
* Streaming Radio:
Web streams take radio to the next level: Listen to thousands of great radio
stations on the internet, for free! amaroK provides excellent streaming
support, with advanced features, such as displaying titles of the currently
playing songs. 
 
* Context Browser:
This tool provides useful information on the music you are currently listening
to, and can make listening suggestions, based on your personal music taste. An
innovate and unique feature. 
 
* Visualizations:
amaroK is compatible with XMMS visualization plugins. Allows you to use the
great number of stunning visualizations available on the net. 3d visualizations
with OpenGL are a great way to enhance your music experience. 

%files -f %name.lang 
%_kde_bindir/amarok
%_kde_bindir/amarokmp3tunesharmonydaemon
%_kde_bindir/amarokpkg
%_kde_libdir/kde4/amarok*.so
%_kde_libdir/kde4/kcm_amarok*.so
%_kde_libdir/libampache_account_login.so
%_kde_applicationsdir/amarok.desktop
%_kde_applicationsdir/amarok_containers.desktop
%_kde_configdir/amarok.knsrc
%_kde_configdir/amarok_homerc
%_kde_configdir/amarokapplets.knsrc
%_kde_datadir/config.kcfg/amarokconfig.kcfg
%_kde_appsdir/amarok
%_kde_appsdir/desktoptheme/*
%_kde_appsdir/solid/actions/amarok-play-audiocd.desktop
%_kde_appsdir/kconf_update/amarok-2.4.1-tokens_syntax_update.pl
%_kde_appsdir/kconf_update/amarok.upd 
%_kde_services/ServiceMenus/amarok_append.desktop
%_kde_services/amarok*.protocol
%_kde_services/amarok*.desktop
%_kde_servicetypes/*
%_kde_iconsdir/hicolor/*/*/amarok.png
%_datadir/dbus-1/interfaces/*
# Don't include html doc here
%exclude %_kde_docdir/HTML
#--------------------------------------------------------------------	 

%package utils
Summary: Utilities for amarok 
Group: Graphical desktop/KDE 
URL: http://amarok.kde.org/wiki/Batch_Mode
Conflicts: amarok < 3:2.4.3-4

%description utils 
Utilities for amarok
This package provides 2 utilities for amarok
amarokcollectionscanner ( http://amarok.kde.org/wiki/Batch_Mode )
 This utilitie can be used to scan your collection without amarok installed 
amarok_afttagger ( http://amarok.kde.org/wiki/Amarok_File_Tracking )
 This utilie allow to edit/remove AFT tags

%files utils
%_kde_bindir/amarokcollectionscanner
%_kde_bindir/amarok_afttagger

#--------------------------------------------------------------------

%package handbook
Summary: Amarok Handbook
BuildArch: noarch
Conflicts: amarok < 3:2.4.3-5

%description handbook
This package provides Amarok Handbook.

%files handbook -f amarok.lang
%doc COPYING COPYING.LIB COPYING.DOC AUTHORS README
# yet another ugly workaround to mark the lang on handbooks
%exclude %_kde_datadir/locale/
#------------------------------------------------

%define libamaroklib_major 1
%define libamaroklib %mklibname amaroklib %libamaroklib_major

%package -n %libamaroklib
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamaroklib
Amarok 2 core library.

%files -n %libamaroklib
%_kde_libdir/libamaroklib.so.%{libamaroklib_major}*

#------------------------------------------------

%define libamarokcore_major 1
%define libamarokcore %mklibname amarokcore %libamarokcore_major

%package -n %libamarokcore
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamarokcore
Amarok 2 core library.

%files -n %libamarokcore
%_kde_libdir/libamarokcore.so.%{libamarokcore_major}*

#------------------------------------------------

%define libamarokpud_major 1
%define libamarokpud %mklibname amarokpud %libamarokpud_major

%package -n %libamarokpud
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamarokpud
Amarok 2 core library.

%files -n %libamarokpud
%_kde_libdir/libamarokpud.so.%{libamarokpud_major}*

#------------------------------------------------

%define libamarokocsclient_major 4
%define libamarokocsclient %mklibname amarokocsclient %libamarokocsclient_major

%package -n %libamarokocsclient
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamarokocsclient
Amarok 2 core library.

%files -n %libamarokocsclient
%_kde_libdir/libamarokocsclient.so.%{libamarokocsclient_major}*

#------------------------------------------------

%define libamaroksqlcollection_major 1
%define libamaroksqlcollection %mklibname amarok-sqlcollection %libamaroksqlcollection_major

%package -n %libamaroksqlcollection
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamaroksqlcollection
Amarok 2 core library.

%files -n %libamaroksqlcollection
%_kde_libdir/libamarok-sqlcollection.so.%{libamaroksqlcollection_major}*

#------------------------------------------------

%define libamaroktranscoding_major 1
%define libamaroktranscoding %mklibname amarok-transcoding %libamaroktranscoding_major

%package -n %libamaroktranscoding
Summary: Amarok 2 core library
Group: System/Libraries

%description -n %libamaroktranscoding
Amarok 2 core library.

%files -n %libamaroktranscoding
%_kde_libdir/libamarok-transcoding.so.%{libamaroktranscoding_major}*

#------------------------------------------------

%package -n %{develname}
Summary: Headers of %name for development
Group: Development/C
Requires: %libamaroklib = %epoch:%{version}-%{release}
Requires: %libamarokcore = %epoch:%{version}-%{release}
Requires: %libamarokpud = %epoch:%{version}-%{release}
Requires: %libamarokocsclient = %epoch:%{version}-%{release}
Requires: %libamaroksqlcollection = %epoch:%{version}-%{release}
Requires: %libamaroktranscoding = %epoch:%{version}-%{release}
Provides: %{name}-devel = %epoch:%{version}-%{release}


%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%{_kde_libdir}/libamaroklib.so
%{_kde_libdir}/libamarokcore.so
%{_kde_libdir}/libamarokpud.so
%{_kde_libdir}/libamarokocsclient.so
%{_kde_libdir}/libamarok-sqlcollection.so
%{_kde_libdir}/libamarok-transcoding.so

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%apply_patches

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build
%find_lang %{name} amarokcollectionscanner_qt amarok_scriptengine_qscript amarokpkg --with-kde --with-html 



%changelog

* Fri Jan 27 2012 mikala <mikala> 3:2.5.0-3.mga2
+ Revision: 202094
- Add patch0005 to fix contextview ( bug #290123)
- Drop patch004 (disable lastfm plugin in amarok configuration instead of using a plugin)

* Sat Dec 17 2011 fwang <fwang> 3:2.5.0-2.mga2
+ Revision: 182924
- rebuild for new mariadb

* Thu Dec 15 2011 fwang <fwang> 3:2.5.0-1.mga2
+ Revision: 182270
- new version 2.5.0

* Mon Nov 21 2011 juancho <juancho> 3:2.4.90-3.mga2
+ Revision: 170337
- Fixed amarok-scripts Obsoletes tag (I hope this time I got it right vim SPECS/amarok.spec).

* Sun Nov 20 2011 juancho <juancho> 3:2.4.90-2.mga2
+ Revision: 170125
- Added back versionated Obsoletes: amarok-scripts < %%epoch:%%version-%%release

* Sun Nov 20 2011 juancho <juancho> 3:2.4.90-1.mga2
+ Revision: 169631
- Updated to 2.5beta1 (2.4.90), and Obsoletes: amarok-scripts as it isn't included anymore with this version

* Thu Nov 10 2011 mikala <mikala> 3:2.4.3-6.mga2
+ Revision: 166211
- Really remove %%_kde_docdir/HTML from amarok packages (use %%exclude functionnality as suggested by blino)

* Thu Nov 10 2011 mikala <mikala> 3:2.4.3-5.mga2
+ Revision: 166102
- Add the amarok-handbook for the live-cd
- Ressurect amarok-utils subpackage ( amarokcollectionscanner is built on purpose to be used *without* amarok binary)
 - add amarok_afttagger binary in amarok-utils subpackage
 - use pkgconfig() for buildrequires
 - remove non used buildrequires
 - remove %%defattr
 - use kde4 macros
 - add ffmpeg as suggests (needed for transcoding)
 - remove conflicts from 2010.0
 - Fix license

  + fwang <fwang>
    - drop invalid requires
    - merge some sub packages
    - new version 2.4.3

* Sun Jul 17 2011 fwang <fwang> 3:2.4.1.90-2.mga2
+ Revision: 125199
- rebuild for new libmtp

* Sat Jul 09 2011 fwang <fwang> 3:2.4.1.90-1.mga2
+ Revision: 120818
- new version 2.4.1.90

* Fri Jun 24 2011 fwang <fwang> 3:2.4.1-1.mga2
+ Revision: 113013
- add upstream patch to build with ffmpeg 0.8
- rebuild for new ffmpeg

* Sun May 08 2011 mikala <mikala> 3:2.4.1-0.mga1
+ Revision: 96435
- Update tarball to 2.4.1

* Tue Apr 12 2011 ahmad <ahmad> 3:2.4.0.90-4.mga1
+ Revision: 83548
- don't obsolete libampache_account; as per discussion with dmorgan on IRC, no
  quirks for upgrading packages from 3rd party repos should be added

* Sun Apr 10 2011 dmorgan <dmorgan> 3:2.4.0.90-3.mga1
+ Revision: 82739
- Obsoletes libampache_account ( cf -dev ML)

* Thu Mar 24 2011 dmorgan <dmorgan> 3:2.4.0.90-2.mga1
+ Revision: 76735
- Rebuild against new mysql

* Wed Mar 23 2011 mikala <mikala> 3:2.4.0.90-1.mga1
+ Revision: 75784
- Update tarball to 2.4.0.90 ( Amarok 2.4 beta 1)
- Drop patch6 (merged upstream)
- Drop patch5 (don't need it anymore for build since mysqle is fixed in mysql package
  	       should fix mga #358)
- Add upstream patch to fix version requirement
- Add libmygpo-qt-devel as BR (provides support for gpodder.net podcast)
- Fix file list (don't drop libamarokqtjson %%files until the final )

* Sun Mar 13 2011 mikala <mikala> 3:2.4.0-2.mga1
+ Revision: 70707
- Add patch006 (mysqle should work again with mysql 5.5.9)
- Remove buildroot

* Mon Jan 24 2011 ahmad <ahmad> 3:2.4.0-1.mga1
+ Revision: 35971
- update to 2.4.0
- add patch to fix linking with mysql (Mandriva)
- drop old conflicts/obsoletes
- drop old/unneeded scriptlets

  + mikala <mikala>
    - imported package amarok

